# -*- encoding: utf-8 -*-
# stub: google-cloud-trace 0.41.0 ruby lib

Gem::Specification.new do |s|
  s.name = "google-cloud-trace".freeze
  s.version = "0.41.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Daniel Azuma".freeze]
  s.date = "2023-02-24"
  s.description = "google-cloud-trace is the official library for Stackdriver Trace.".freeze
  s.email = ["dazuma@google.com".freeze]
  s.files = [".yardopts".freeze, "AUTHENTICATION.md".freeze, "CHANGELOG.md".freeze, "CODE_OF_CONDUCT.md".freeze, "CONTRIBUTING.md".freeze, "INSTRUMENTATION.md".freeze, "LICENSE".freeze, "LOGGING.md".freeze, "OVERVIEW.md".freeze, "TROUBLESHOOTING.md".freeze, "lib/google-cloud-trace.rb".freeze, "lib/google/cloud/trace.rb".freeze, "lib/google/cloud/trace/async_reporter.rb".freeze, "lib/google/cloud/trace/credentials.rb".freeze, "lib/google/cloud/trace/errors.rb".freeze, "lib/google/cloud/trace/faraday_middleware.rb".freeze, "lib/google/cloud/trace/label_key.rb".freeze, "lib/google/cloud/trace/middleware.rb".freeze, "lib/google/cloud/trace/notifications.rb".freeze, "lib/google/cloud/trace/patches/active_call_with_trace.rb".freeze, "lib/google/cloud/trace/patches/call_with_trace.rb".freeze, "lib/google/cloud/trace/project.rb".freeze, "lib/google/cloud/trace/rails.rb".freeze, "lib/google/cloud/trace/result_set.rb".freeze, "lib/google/cloud/trace/service.rb".freeze, "lib/google/cloud/trace/span.rb".freeze, "lib/google/cloud/trace/span_kind.rb".freeze, "lib/google/cloud/trace/time_sampler.rb".freeze, "lib/google/cloud/trace/trace_record.rb".freeze, "lib/google/cloud/trace/utils.rb".freeze, "lib/google/cloud/trace/version.rb".freeze]
  s.homepage = "https://github.com/googleapis/google-cloud-ruby/tree/master/google-cloud-trace".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.5".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Application Instrumentation and API Client library for Stackdriver Trace".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<google-cloud-core>.freeze, ["~> 1.5"])
    s.add_runtime_dependency(%q<stackdriver-core>.freeze, ["~> 1.3"])
    s.add_runtime_dependency(%q<concurrent-ruby>.freeze, ["~> 1.1"])
    s.add_runtime_dependency(%q<google-cloud-trace-v1>.freeze, ["~> 0.0"])
    s.add_runtime_dependency(%q<google-cloud-trace-v2>.freeze, ["~> 0.0"])
    s.add_development_dependency(%q<google-style>.freeze, ["~> 1.25.1"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.10"])
    s.add_development_dependency(%q<minitest-autotest>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<minitest-focus>.freeze, ["~> 1.1"])
    s.add_development_dependency(%q<minitest-rg>.freeze, ["~> 5.2"])
    s.add_development_dependency(%q<autotest-suffix>.freeze, ["~> 1.1"])
    s.add_development_dependency(%q<faraday>.freeze, ["< 3"])
    s.add_development_dependency(%q<railties>.freeze, ["~> 5.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.9"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9"])
    s.add_development_dependency(%q<yard-doctest>.freeze, [">= 0"])
    s.add_development_dependency(%q<activerecord>.freeze, ["~> 5.0"])
  else
    s.add_dependency(%q<google-cloud-core>.freeze, ["~> 1.5"])
    s.add_dependency(%q<stackdriver-core>.freeze, ["~> 1.3"])
    s.add_dependency(%q<concurrent-ruby>.freeze, ["~> 1.1"])
    s.add_dependency(%q<google-cloud-trace-v1>.freeze, ["~> 0.0"])
    s.add_dependency(%q<google-cloud-trace-v2>.freeze, ["~> 0.0"])
    s.add_dependency(%q<google-style>.freeze, ["~> 1.25.1"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.10"])
    s.add_dependency(%q<minitest-autotest>.freeze, ["~> 1.0"])
    s.add_dependency(%q<minitest-focus>.freeze, ["~> 1.1"])
    s.add_dependency(%q<minitest-rg>.freeze, ["~> 5.2"])
    s.add_dependency(%q<autotest-suffix>.freeze, ["~> 1.1"])
    s.add_dependency(%q<faraday>.freeze, ["< 3"])
    s.add_dependency(%q<railties>.freeze, ["~> 5.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.0"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.9"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9"])
    s.add_dependency(%q<yard-doctest>.freeze, [">= 0"])
    s.add_dependency(%q<activerecord>.freeze, ["~> 5.0"])
  end
end
